## libneuralnet 0.1-2

=== debian/changelog ===
libneuralnet (0.1-2) unstable; urgency=low

  * split in two packages : happycoderss-libneuralnet and 
    happycoders-libneuralnet-dev

 -- Julien LEMOINE <speedblue@debian.org>  Tue, 29 Jul 2003 15:22:10 +0200

libneuralnet (0.1-1) unstable; urgency=low

  * Initial Release.

 -- Julien LEMOINE <speedblue@debian.org>  Fri,  9 May 2003 00:08:02 +0200
