=== debian/control ===
Source: libneuralnet
Section: devel
Priority: optional
Maintainer: Julien LEMOINE <speedblue@debian.org>
Build-Depends: debhelper (>> 4.0.0), happycoders-libdata-dev
Standards-Version: 3.6.0

Package: happycoders-libneuralnet
Architecture: any
Depends: ${shlibs:Depends} ${misc:Depends}, happycoders-libdata
Description: C++ library that implements MLP neural networks
 It provides various algorithms : Backprop, Rprop and Quickprop. It contains 
 principal component analysis algorithms (ALA and GHA) and support
 time lagged neurons.

Package: happycoders-libneuralnet-dev
Architecture: any
Depends: ${shlibs:Depends} ${misc:Depends}, happycoders-libneuralnet, happycoders-libdata-dev
Description: C++ library that implements MLP neural networks
 It provides various algorithms : Backprop, Rprop and Quickprop. It contains 
 principal component analysis algorithms (ALA and GHA) and support
 time lagged neurons.
 .
 This packages Contains the symlinks, headers, and object files needed to 
 compile and link programs which use libdbg.
